<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />


    
</head>

<body>
    <header class="sf-header" id="header">
        <div class="top-logo">
            <a href="#" class="btn-open-all-menu" id="btnClick">
                <img src="../assets/img/all-menu.svg" alt="">
            </a>

            <div id="popClick" class="popover">
                <div class="popover-content">
                    화면 내 좌측 메뉴가 있을 경우에만 폴딩 기능이 실행됩니다.
                </div>
            </div>
    
            <a href="#" class="logo">
                <span class="abb">SFPM</span>
                <span class="full">
                    <span class="ko">스마트팩토리과제관리시스템</span>
                    <span class="en">Smart Factory Project Management system</span>
                </span>
            </a>
        </div>
        <div class="top-gnb">
            <nav class="top-main-nav">
                <ul class="depth1">
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리란?</a>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리 레벨</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">스마트팩토리 레벨 정의</a>
                            </li>
                            <li>
                                <a href="#">법인별 레벨 현황</a>
                            </li>
                            <li>
                                <a href="#">레벨 평가</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">핵심 Agenda</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">핵심 Agenda 요약</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 정의</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 과제관리</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 진행현황</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link on">커뮤니티</a>
                        <ul class="depth2-list">
                            <li class="on">
                                <a href="#">Painpoint</a>
                            </li>
                            <li>
                                <a href="#">스마트팩토리 일정</a>
                            </li>
                            <li>
                                <a href="#">자료실</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">관리자</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">공통 코드 관리</a>
                            </li>
                            <li>
                                <a href="#">권한 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메세지 관리</a>
                            </li>
                            <li>
                                <a href="#">결제 관리</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
        <ul class="nav-right">
            <li>
                <button>
                    <i class="icon icon-favorites"></i>
                </button>
            </li>
            <li>
                <button>
                    <i class="icon icon-help"></i>
                </button>
            </li>
            <li>
                <span class="btn-toggle-wrap">
                    <input type="checkbox" id="toggle" hidden> 
                    <label for="toggle" class="switch-toggle">
                        <span class="btn-toggle"></span>
                    </label>
                </span>
            </li>
            <li>
                <a href="#" class="language">ENG <img src="../assets/img/arr-lang.svg" alt=""></a>
            </li>
            <li>
                <a href="#" class="avatar">
                    <span class="round">
                        <!-- <img src="../assets/img/ico-user.png" alt=""> 프로필 이미지 -->
                    </span>
                    홍길동
                </a>
            </li>
        </ul>

    </header>
    
    <div class="sf-container" id="contents">
        
        <div class="sf-content-wrap">
            <div id="section-mdi">
                <ul class="mdi-tabs">
                    <li>
                        <a href="#">
                            <span>홈</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li class="on">
                        <a href="#">
                            <span>Painpoint</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                </ul>
                <ul class="btns">
                    <li>
                        <button>
                            <i class="icon icon-mdi-prev"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-mdi-next"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-new-window"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-close-mdi"></i>
                        </button>
                    </li>
                </ul>
            </div>
            <div class="section-content">
                <div class="section-top">
                    <h2 class="page-title">
                        <button class="btn-star"><i class="icon icon-star"></i></button>
                        Painpoint
                    </h2>
                    <div class="breadcrumbs-wrap">
                        <div class="breadcrumbs">
                            <a href="#">Home</a>
                            <a href="#">커뮤니티</a>
                            <span>Painpoint</span>
                        </div>
                    </div>
                </div>

                <div class="form-box-wrap">
                    <div class="row align-items-center"> 
                        <div class="col-label">
                            <span class="label">
                                검색영역
                            </span>
                        </div>
                        <div class="col-4">
                            <div class="form-group"> 
                                <div id="theComboBox1" class="w-100p"></div>
                                <input type="text" placeholder="입력하세요" class="w-50" />
                            </div>
                        </div>
                        
                        <div class="col-label">
                            <span class="label">
                                작성일/등록일
                            </span>
                        </div>
                        <div class="col-4"> 
                            <div class="form-group position-relative">
                                <div id="theInputDateRange" class="wj-control wj-content wj-dropdown wj-inputdate wj-inputdaterange wj-state-focused" tabindex="-1">
                                    <div class="wj-template">
                                        <div class="wj-input">
                                            <div class="wj-input-group wj-input-btn-visible">
                                                <i class="icon icon-date d-table-cell pe-4"></i>
                                                <input wj-part="input" type="tel" class="wj-form-control" id="theInputDateRange_input" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="YYYY.MM.DD - YYYY.MM.DD">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-3 align-items-center">
                        <div class="col-label"> 
                            <span class="label">
                                카테고리
                            </span>
                        </div>
                        <div class="col-9"> 
                            <div class="btn-group btn-group-sm mt-0 has-ico" role="group">
                                <input type="checkbox" class="btn-check" id="btncheck1" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck1">ALL</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck2" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck2">R&D</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck3" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck3">기술</label>

                                <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck4">영업/마케팅</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck5">SCM/구매</label>

                                <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck4">인프로/안전</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck5">IT/Security</label>
                                
                                <input type="checkbox" class="btn-check" id="btncheck2" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck2">R&D</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck3" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck3">기술</label>

                                <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck4">영업/마케팅</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck5">SCM/구매</label>

                                <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck4">인프로/안전</label>
                            
                                <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                                <label class="btn btn-outline-primary" for="btncheck5">IT/Security</label>

                            </div>
                        </div>
                    </div>
                    <div class="btns">
                        <button class="sf-btn btn-outlined btn-icon-xlg me-1">
                            <i class="icon icon-refresh"></i>
                        </button>
                        <button class="sf-btn btn-darkgrey">
                            <i class="icon icon-search-white"></i>
                            <span>조회</span>
                        </button>
                    </div>
                </div>

                <div id="sf-cmnt-wrap">
                    <div class="d-flex justify-content-between mb-10">
                        <div>
                            <h4 class="d-inline-flex me-2">목록</h4> <!-- 230725 -->
                            <span class="d-inline-flex txt-primary">24</span>

                            <div id="list-paging">
                                <div class="combo" id="theComboBox2"></div>
                                <span class="txt">/ page</span>
                            </div>
                        </div>
                        <div>
                            <div class="combo w-100p" id="theComboBox3"></div>
                            <button class="sf-btn btn-outlined btn-small">
                                <i class="icon icon-modify"></i>
                                <span class="btn-txt">신규</span>
                            </button>
                        </div>
                    </div>
                    <div id="cmnt-list-wrap">
                        <div class="cmnt-list">
                            <div class="cmnt-cate">
                                <ul class="chips">
                                    <li>
                                        <span>R&D</span>
                                    </li>
                                    <li>
                                        <span>기술</span>
                                    </li>
                                    <li>
                                        <span>생산</span>
                                    </li>
                                </ul>
                            </div>
                            <div class="cmnt-title">
                                <a href="#">
                                    <span class="st">NEW!</span>
                                    <span class="txt-title">
                                        셀의 비 파괴 문의법 문의 
                                    </span>
                                </a>
                            </div>
                            <div id="cmnt-info">
                                <span class="cmnt-info-user">
                                    <i class="icon icon-cmnt-user"></i>
                                    <span>익명</span>
                                </span>
                                <span class="cmnt-info-date">
                                    2023-06-28 오후 05:58
                                </span>
                            </div>
                            <div class="cmnt-content">
                                카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브
                            </div>
                            <div class="cmnt-count">
                                <a href="#" class="cmnt-like">
                                    <i class="icon icon-like on"></i>
                                    <span class="num">999+</span>
                                </a>
                                <span class="cmnt-view">
                                    <i class="icon icon-view"></i>
                                    <span class="num">999+</span>
                                </span>
                                <span class="cmnt-comment">
                                    <i class="icon icon-comment"></i>
                                    <span class="num">1,230</span>
                                </span>
                            </div>
                            <div class="cmnt-reply-content">
                                <span class="tag-wrap">
                                    <span class="tag green">채택</span>
                                </span>
                                <div class="content">
                                    이미 생산된 모델을 확인하고 싶으시면 DAVINCI에서 해당 라인을 선택하시면 생산된 모델에 대한 Nick name을 확인 할 수 있습니다. (ESWA Assy Line 26 조회 시 E129A, E153A, E131B 등) 향후 생산할 모델을 조립라인별로 확인하고 싶으시면 해당 리안을 관리하는 SCM 담당자에게 문의하시면 될 것 같습니다.
                                </div>
                            </div>
                        </div>
                        <div class="cmnt-list">
                            <div class="cmnt-cate">
                                <ul class="chips">
                                    <li>
                                        <span>R&D</span>
                                    </li>
                                    <li>
                                        <span>기술</span>
                                    </li>
                                    <li>
                                        <span>생산</span>
                                    </li>
                                </ul>
                            </div>
                            <div class="cmnt-title">
                                <a href="#">
                                    <span class="st">NEW!</span>
                                    <span class="txt-title">
                                        셀의 비 파괴 문의법 문의
                                    </span>
                                </a>
                            </div>
                            <div id="cmnt-info">
                                <span class="cmnt-info-user">
                                    <i class="icon icon-cmnt-user"></i>
                                    <span>익명</span>
                                </span>
                                <span class="cmnt-info-date">
                                    2023-06-28 오후 05:58
                                </span>
                            </div>
                            <div class="cmnt-content">
                                카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브
                            </div>
                            <div class="cmnt-count">
                                <a href="#" class="cmnt-like">
                                    <i class="icon icon-like on"></i>
                                    <span class="num">999+</span>
                                </a>
                                <span class="cmnt-view">
                                    <i class="icon icon-view"></i>
                                    <span class="num">999+</span>
                                </span>
                                <span class="cmnt-comment">
                                    <i class="icon icon-comment"></i>
                                    <span class="num">1,230</span>
                                </span>
                            </div>
                            <div class="cmnt-reply-content">
                                <span class="tag-wrap">
                                    <span class="tag green">채택</span>
                                </span>
                                <div class="content">
                                    이미 생산된 모델을 확인하고 싶으시면 DAVINCI에서 해당 라인을 선택하시면 생산된 모델에 대한 Nick name을 확인 할 수 있습니다. (ESWA Assy Line 26 조회 시 E129A, E153A, E131B 등) 향후 생산할 모델을 조립라인별로 확인하고 싶으시면 해당 리안을 관리하는 SCM 담당자에게 문의하시면 될 것 같습니다.
                                </div>
                            </div>
                        </div>
                        <div class="cmnt-list">
                            <div class="cmnt-cate">
                                <ul class="chips">
                                    <li>
                                        <span>R&D</span>
                                    </li>
                                    <li>
                                        <span>기술</span>
                                    </li>
                                    <li>
                                        <span>생산</span>
                                    </li>
                                </ul>
                            </div>
                            <div class="cmnt-title">
                                <a href="#">
                                    <span class="txt-title">
                                        셀의 비 파괴 문의법 문의
                                    </span>
                                </a>
                            </div>
                            <div id="cmnt-info">
                                <span class="cmnt-info-user">
                                    <i class="icon icon-cmnt-user"></i>
                                    <span>익명</span>
                                </span>
                                <span class="cmnt-info-date">
                                    2023-06-28 오후 05:58
                                </span>
                            </div>
                            <div class="cmnt-content">
                                카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브 텍스트 카드 서브
                            </div>
                            <div class="cmnt-count">
                                <a href="#" class="cmnt-like">
                                    <i class="icon icon-like on"></i>
                                    <span class="num">999+</span>
                                </a>
                                <span class="cmnt-view">
                                    <i class="icon icon-view"></i>
                                    <span class="num">999+</span>
                                </span>
                                <span class="cmnt-comment">
                                    <i class="icon icon-comment"></i>
                                    <span class="num">1,230</span>
                                </span>
                            </div>
                            <div class="cmnt-reply-content">
                                <span class="tag-wrap">
                                    <span class="tag green">채택</span>
                                </span>
                                <div class="content">
                                    이미 생산된 모델을 확인하고 싶으시면 DAVINCI에서 해당 라인을 선택하시면 생산된 모델에 대한 Nick name을 확인 할 수 있습니다. (ESWA Assy Line 26 조회 시 E129A, E153A, E131B 등) 향후 생산할 모델을 조립라인별로 확인하고 싶으시면 해당 리안을 관리하는 SCM 담당자에게 문의하시면 될 것 같습니다.
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="sf-paging">
                        <a href="#" id="sf-paging-first">
                            <span>첫 페이지</span>
                        </a>
                        <a href="#" id="sf-paging-prev">
                            <span>이전 페이지</span>
                        </a>
                        <a href="#">1</a>
                        <a href="#" class="cur">2</a>
                        <a href="#">3</a>
                        <a href="#">4</a>
                        <a href="#">5</a>
                        <a href="#">6</a>
                        <a href="#">7</a>
                        <a href="#">8</a>
                        <a href="#">9</a> 
                        <a href="#">10</a>
                        <a href="#" id="sf-paging-next">
                            <span>다음 페이지</span>
                        </a>
                        <a href="#" id="sf-paging-last">
                            <span>마지막 페이지</span>
                        </a>
                    </div>
                    <div class="d-flex justify-content-end mt-3">
                        <div class="sf-status">
                            <button class="sf-btn btn-outlined">
                                <i class="icon icon-modify"></i>
                                <span class="btn-txt">신규</span>
                            </button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Wijmo core -->
    <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>

    <!-- Swiper JS -->
    <script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>

   

    <script>
        function getData() {
            return [
                { id: 1, area: '원통형', gdpm: 57825, popk: 563, gdpcap: 102708 },
                { id: 2, area: '공통', gdpm: 664005, popk: 8238, gdpcap: 80602 },
                { id: 3, area: '원통형', gdpm: 388315, popk: 5205, gdpcap: 74604 },
                { id: 4, area: '공통', gdpm: 46178, popk: 647, gdpcap: 71372 },
                { id: 5, area: '공통', gdpm: 166908, popk: 2421, gdpcap: 68941 },
                { id: 6, area: '공통', gdpm: 283716, popk: 4635, gdpcap: 61211 },
            ];
        }

        function init() {

            //햄버거메뉴 클릭 팝업
            let popClick = new wijmo.input.Popup('#popClick', {
                owner: document.getElementById('btnClick'),
                showTrigger: 'Click',
                hideTrigger: 'Click'
            });

             //즐겨찾기(타이틀)
            const btnStar = document.querySelector('.btn-star');
            const iconStar = document.querySelector('.icon-star');

            btnStar.addEventListener('click', () => {
                iconStar.classList.toggle('on');
            });

            
        }
        init();

         //DropDowns
         const comboBoxConfigurations = [
            {
                selector: '#theComboBox1',
                itemsSource: ['전체', '1']
            },
            {
                selector: '#theComboBox2',
                itemsSource: ['100']
            },
            {
                selector: '#theComboBox3',
                itemsSource: ['최신순',]
            },
            // {
            //     selector: '#theComboBox4',
            //     itemsSource: ['OEE', 'OA', 'OE', 'EE']
            // },
            // {
            //     selector: '#theComboBox5',
            //     itemsSource: ['작성중']
            // }
            ];

            comboBoxConfigurations.forEach(config => {
            new wijmo.input.ComboBox(config.selector, {
                itemsSource: config.itemsSource
            });
        });
    </script>
</body>
</html>